import {
  VSipsdEchartsTablesTabCardOptionsClass
} from './VSipsdEchartsTablesTabCardOptions.class';
import {
  VSipsdEchartsTablesTableDataSourceClass
} from './VSipsdEchartsTablesTableDataSource.class';
import {
  VSipsdEchartsTablesCardNormalDataLengthClass
} from './VSipsdEchartsTablesCardNormalDataLength.class';
import {
  VSipsdEchartsTablesCardFullScreenDataLengthClass
} from './VSipsdEchartsTablesCardFullScreenDataLength.class';

const VSipsdEchartsTablesTableOptionsClass = (function () {
  function VSipsdEchartsTablesTableOptionsClass() {
    // 类型
    this.type = null;
    // card组件的配置
    this.cardOptions = new VSipsdEchartsTablesTabCardOptionsClass();
    // 数据源
    this.dataSource = new VSipsdEchartsTablesTableDataSourceClass();
    // 是否显示合计值
    this.showSum = false;
    // 合计值的精度，1代表小数点后1位，2代表小数点后2位
    this.sumPrecision = 0;
    // 显示列表
    this.showList = [];
    // 点击行是否触发获取该行数据的值
    this.chooseRow = false;
    // 正常情况下card内容中的数据长度
    this.cardNormalDataLength = new VSipsdEchartsTablesCardNormalDataLengthClass();
    // 全屏情况下card内容中的数据长度
    this.cardFullScreenDataLength = new VSipsdEchartsTablesCardFullScreenDataLengthClass();
  }
  return VSipsdEchartsTablesTableOptionsClass;
}());
export {
  VSipsdEchartsTablesTableOptionsClass
};
