import {
  VSipsdMapOptionsClass
} from "./VSipsdMapOptions.class";

/** arcgis显示地图所需的配置信息
 * 
 * 
 * @export
 */
const VSipsdMapArcgisOptionsClass = (function () {
  function VSipsdMapArcgisOptionsClass() {
    const parentClassInstance = new VSipsdMapOptionsClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    // esri脚本链接
    this.jsUrl = null;
    // esri样式链接
    this.cssUrl = null;
  }
  return VSipsdMapArcgisOptionsClass;
}());

export {
  VSipsdMapArcgisOptionsClass
};
