import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";
import {
  V_SIPSD_MAP_TYPE
} from "./V_SIPSD_MAP_TYPE.enum";

/** arcgis发布的特性图层
 *
 *
 * @export
 */
const VSipsdMapEsriFeatureLayerInfoClass = (function () {
  function VSipsdMapEsriFeatureLayerInfoClass() {
    const parentClassInstance = new VSipsdMapBaseLayerInfoClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    this.type = V_SIPSD_MAP_TYPE.ESRI_FEATURELAYER;
  }

  return VSipsdMapEsriFeatureLayerInfoClass;
}());

export {
  VSipsdMapEsriFeatureLayerInfoClass
};
