import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";
import {
  V_SIPSD_MAP_TYPE
} from "./V_SIPSD_MAP_TYPE.enum";

/** arcgis发布的切片图层
 *
 *
 * @export
 */
const VSipsdMapEsriTiledLayerInfoClass = (function () {
  function VSipsdMapEsriTiledLayerInfoClass() {
    const parentClassInstance = new VSipsdMapBaseLayerInfoClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    this.type = V_SIPSD_MAP_TYPE.ESRI_TILEDLAYER;
  }
  return VSipsdMapEsriTiledLayerInfoClass;
}());

export {
  VSipsdMapEsriTiledLayerInfoClass
};
