import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";
import {
  V_SIPSD_MAP_TYPE
} from "./V_SIPSD_MAP_TYPE.enum";

/** arcgis发布的wms图层
 *
 *
 * @export
 */
const VSipsdMapEsriWMSLayerInfoClass = (function () {
  function VSipsdMapEsriWMSLayerInfoClass() {
    const parentClassInstance = new VSipsdMapBaseLayerInfoClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    this.type = V_SIPSD_MAP_TYPE.ESRI_WMSLAYER;
  }
  return VSipsdMapEsriWMSLayerInfoClass;
}());

export {
  VSipsdMapEsriWMSLayerInfoClass
};
