import {
  VSipsdMapBaseInfoClass
} from "./VSipsdMapBaseInfo.class";
import {
  VSipsdMapLayersClass
} from "./VSipsdMapLayers.class";
import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";

/** 地图配置
 * 
 * 
 * @export
 */
const VSipsdMapOptionsClass = (function () {
  function VSipsdMapOptionsClass() {
    // 地图信息
    this.mapInfo = new VSipsdMapBaseInfoClass();
    // 默认图层
    this.defaultLayer = new VSipsdMapBaseLayerInfoClass();
    // 图层信息，包含基础底图，影像底图和图层树
    this.layers = new VSipsdMapLayersClass();
    // 工具条
    this.toolbars = [];
  }
  return VSipsdMapOptionsClass;
}());
export {
  VSipsdMapOptionsClass
};
