import {
  VSipsdCardHostStylesClass
} from './VSipsdCardHostStyles.class.js';
import {
  VSipsdCardHostClassesClass
} from './VSipsdCardHostClasses.class.js';

const VSipsdCardOptionsClass = (function () {
  function VSipsdCardOptionsClass() {
    this.showCardHeader = true;
    this.title = null;
    this.hasFullScreen = false;
    this.hasRefresh = false;
    this.hasClosed = false;
    this.hostStyles = new VSipsdCardHostStylesClass();
    this.hostClasses = new VSipsdCardHostClassesClass();
  }
  return VSipsdCardOptionsClass;
}());

export {
  VSipsdCardOptionsClass,
};
