import {
  VSipsdEchartsTablesTabCardOptionsClass
} from "./VSipsdEchartsTablesTabCardOptions.class";
import {
  VSipsdEchartsTablesCardNormalDataLengthClass
} from "./VSipsdEchartsTablesCardNormalDataLength.class";
import {
  VSipsdEchartsTablesCardFullScreenDataLengthClass
} from "./VSipsdEchartsTablesCardFullScreenDataLength.class";
const VSipsdEchartsTablesEchartOptionsClass = (function () {
  function VSipsdEchartsTablesEchartOptionsClass() {
    // 类型，
    this.type = null;
    // card的配置信息
    this.cardOptions = new VSipsdEchartsTablesTabCardOptionsClass();
    // echarts的配置信息
    this.echartsOptions = {};
    // 图例数据
    this.legendData = [];
    // 饼图数据
    this.pieSeriesData = [];
    // x坐标数据
    this.xAxisData = [];
    // y坐标数据
    this.yAxisData = [];
    // 柱状图数据
    this.barSeriesData = [];
    // 颜色数据
    this.colorOptions = {
      id: null,
      default: [],
    };
    // 正常情况下card内容中的数据长度
    this.cardNormalDataLength = new VSipsdEchartsTablesCardNormalDataLengthClass();
    // 全屏情况下card内容中的数据长度
    this.cardFullScreenDataLength = new VSipsdEchartsTablesCardFullScreenDataLengthClass();
  }
  return VSipsdEchartsTablesEchartOptionsClass;
}());
export {
  VSipsdEchartsTablesEchartOptionsClass
};
