import {
  VSipsdGraphicFillStyleClass
} from "./VSipsdGraphicFillStyle.class";
import {
  VSipsdGraphicBorderStyleClass
} from "./VSipsdGraphicBorderStyle.class";
import {
  VSipsdGraphicIconStyleClass
} from "./VSipsdGraphicIconStyle.class";
import {
  VSipsdGraphicTextStyleClass
} from "./VSipsdGraphicTextStyle.class";

/** 图形样式
 *
 *
 * @export
 */
const VSipsdGraphicStyleClass = (function () {
  function VSipsdGraphicStyleClass() {
    // 边框样式
    this.border = new VSipsdGraphicBorderStyleClass();
    // 自定义样式
    this.customStyle = null;
    // 填充样式
    this.fill = new VSipsdGraphicFillStyleClass();
    // 图标样式
    this.icon = new VSipsdGraphicIconStyleClass();
    // 文本样式
    this.text = new VSipsdGraphicTextStyleClass();
  }

  return VSipsdGraphicStyleClass;
}());

export {
  VSipsdGraphicStyleClass
};
