import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";
import {
  V_SIPSD_MAP_TYPE
} from "./V_SIPSD_MAP_TYPE.enum";

/** arcgis发布的动态图层
 *
 *
 * @export
 */
const VSipsdMapEsriDynamicLayerInfoClass = (function () {
  function VSipsdMapEsriDynamicLayerInfoClass() {
    const parentClassInstance = new VSipsdMapBaseLayerInfoClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    // 动态图层的vls属性
    this.vls;
    this.type = V_SIPSD_MAP_TYPE.ESRI_DYNAMICLAYER;
  }
  return VSipsdMapEsriDynamicLayerInfoClass;
}());
export {
  VSipsdMapEsriDynamicLayerInfoClass
};
