import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";
import {
  V_SIPSD_MAP_TYPE
} from "./V_SIPSD_MAP_TYPE.enum";
import {
  VSipsdGraphicStyleClass
} from "./VSipsdGraphicStyle.class";

/** geoJson图层
 *
 *
 * @export
 */
const VSipsdMapGeoJsonLayerInfoClass = (function () {
  function VSipsdMapGeoJsonLayerInfoClass() {
    const parentClassInstance = new VSipsdMapBaseLayerInfoClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    // 样式
    this.style = new VSipsdGraphicStyleClass();
    this.type = V_SIPSD_MAP_TYPE.GEOJSON_LAYER;
  }
  return VSipsdMapGeoJsonLayerInfoClass;
}());
export {
  VSipsdMapGeoJsonLayerInfoClass
};
