import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";
import {
  V_SIPSD_MAP_TYPE
} from "./V_SIPSD_MAP_TYPE.enum";
import {
  VSipsdGraphicStyleClass
} from "./VSipsdGraphicStyle.class";

/** 图形图层
 *
 *
 * @export
 */
const VSipsdMapGraphicLayerInfoClass = (function () {
  function VSipsdMapGraphicLayerInfoClass() {
    const parentClassInstance = new VSipsdMapBaseLayerInfoClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    // 图形列表
    this.graphicList = [];
    // 样式
    this.style = new VSipsdGraphicStyleClass();
    this.type = V_SIPSD_MAP_TYPE.GRAPHIC_LAYER;
  }
  return VSipsdMapGraphicLayerInfoClass;
}());
export {
  VSipsdMapGraphicLayerInfoClass
};
