import {
  VSipsdMapBaseLayerInfoClass
} from "./VSipsdMapBaseLayerInfo.class";
import {
  V_SIPSD_MAP_TYPE
} from "./V_SIPSD_MAP_TYPE.enum";
import {
  VSipsdGraphicStyleClass
} from "./VSipsdGraphicStyle.class";

/** 返回数据格式是GeoJson的矢量切片图层
 *
 *
 * @export
 */
const VSipsdMapVectorGeoJsonTiledLayerInfoClass = (function () {
  function VSipsdMapVectorGeoJsonTiledLayerInfoClass() {
    const parentClassInstance = new VSipsdMapBaseLayerInfoClass();
    const parentClassKeys = Object.keys(parentClassInstance);
    for (const key of parentClassKeys) {
      this[key] = parentClassInstance[key];
    }
    // 样式
    this.style = new VSipsdGraphicStyleClass();
    this.type = V_SIPSD_MAP_TYPE.VECTOR_GEOJSON_TILEDLAYER;
  }
  return VSipsdMapVectorGeoJsonTiledLayerInfoClass;
}());
export {
  VSipsdMapVectorGeoJsonTiledLayerInfoClass
};
